//+------------------------------------------------------------------+
//|                                             Prev Range Break.mq4 |
//|                                      Jerry Sutton Crazy Maxs LLC |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Jerry Sutton"
#property link      "http://www.metaquotes.net"

//---- input parameters
extern int       ExtTimeFrame=1; // not used
extern double    ExtTakeProfitPips= 0.0020; // Take profit at
extern double    ExtStopLossPips= 0.040;  // Stoploss to be place above or below order
extern double    ExtSpreadFromHighLow= 0.0003; // Spread diffrence
extern int       ExtSlippage= 1; //Slippage allowed for order
extern double    ExtTrailingStop= 0.0010; // Trailing stop *Not used yet*
extern double    ExtLotSize= 0.1; // Size of lots 1 standard .1 mini .01 micro
extern int       daysAgo= 1; //How many bars back not the overall range
                       // will try that later.
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int Count = 0;
int lastDayTraded =0;
int init()

  {
//----
   Alert ("Prev  Range Break init()");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   Alert ("Prev  Range Break deinit()");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----

/*
//Test for high low of prev bar
Alert ("Bar high 1 ago ", High[1]);
Alert ("Bar Low 1 Ago ", Low[1]); 
*/ 
   double Price = Bid; //Bid price at tick 
   Count++;
 //  Alert ("New tick",Count,"   Price = ",Price); // Alert
   
// Makes sure no more than 1 open order and not trading more than once a day
   if (OrdersTotal() < 1 && Day() != lastDayTraded)
   {
// Check if meets condition to open new order
   if ((High[daysAgo] + ExtSpreadFromHighLow) < Ask)
      {
      lastDayTraded = Day();
      Print("OrderSend Fired Off for BUY");
      openBuyTrade();
      }
   if ((Low[daysAgo] - ExtSpreadFromHighLow) < Bid)
      {
      lastDayTraded = Day();
      Print("OrderSend Fired Off for SELL");
      openSellTrade();
      }
   }
//----
  
   return(0);
  }
     
void openBuyTrade()
   {
    int ticket=0;
    ticket=OrderSend(Symbol(),OP_BUY,ExtLotSize,Ask,ExtSlippage,Ask-ExtStopLossPips,Ask+ExtTakeProfitPips,"PriceRange_BUY_Order_",16384,0,Green);
    if(ticket<0)
       {
        Print("OrderSend failed with error #",GetLastError());
        return(0);
       }

   }

void openSellTrade()
   {
    int ticket=0;
    ticket=OrderSend(Symbol(),OP_SELL,ExtLotSize,Bid,ExtSlippage,Bid+ExtStopLossPips,Bid-ExtTakeProfitPips,"PriceRange_SELL_Order_",16385,0,Red);
    if(ticket<0)
       {
        Print("OrderSend failed with error #",GetLastError());
        return(0);
       }

   }
//+------------------------------------------------------------------+